QGIS Application - Bug report #18677
Crashes - Attempting to Save ESRI Shapefile after running "Point to Paths"
2018-04-09 10:51 PM - Eric Berkowitz

Status: Closed

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 26565
Description

When | attempt to save a copy of the 'path’ created QGIS crashes and provided the following report:

User Feedback

Report Details

Crash ID: 5¢829¢e521fad77a7bfa01be6b85249f8c1904d5d
Stack Trace

geos:index::striree::STRiree::STRIntersectsOp::~STRIntersectsOp :
QgsGeos::createGeosLinestring :
QgsGeos::asGeos :

QgsGeos::relation :
QgsVectorFileWriter::writeAsVectorFormat :
QgsVectorFileWriterTask::run :
QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: commit:a86bec25eb
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-04-10 12:45 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you share your data and the setting used in the algorithm?

2024-04-28

12




#2 - 2018-08-16 10:28 AM - Giovanni Manghi
- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
